Read one hosted drill run
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/runs/{hostedRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/runs/{hostedRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/runs/{hostedRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"hostedRunId": "<string>",
"evidenceBundleId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"environmentId": "<string>",
"sessionId": "<string>",
"buildHash": "<string>",
"request": {
"runId": "<string>",
"drillId": "<string>",
"seed": "<string>",
"trial": 4503599627370495,
"trialCount": 4503599627370495,
"attempt": 4503599627370495,
"attemptLimit": 4503599627370495
},
"leaseGeneration": 4503599627370495,
"revision": 4503599627370495,
"state": "created",
"deadlineAtMs": 0,
"evidenceRetentionMs": 4503599627370495,
"createdAtMs": 0,
"updatedAtMs": 0,
"rerunOfHostedRunId": "<string>",
"identity": {
"runId": "<string>",
"worldInstanceId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"seed": "<string>",
"trial": 4503599627370495,
"trialCount": 4503599627370495,
"attempt": 1,
"attemptLimit": 1,
"scenarioId": "<string>",
"setupHash": "<string>"
},
"termination": {
"schemaVersion": 1,
"outcome": "runner_failed",
"reason": "<string>",
"requestedAtMs": 0
},
"pendingInteraction": {
"schemaVersion": 1,
"interaction": {
"id": "<string>",
"afterStartUs": 0,
"actorId": "<string>",
"task": {
"instruction": "<string>",
"input": "<unknown>"
}
},
"scheduledAtVirtualUs": 0,
"startedAtVirtualUs": 0,
"toolCallsAtStart": 0
},
"result": {
"schemaVersion": 1,
"identity": {
"runId": "<string>",
"worldInstanceId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"seed": "<string>",
"trial": 4503599627370495,
"trialCount": 4503599627370495,
"attempt": 1,
"attemptLimit": 1,
"scenarioId": "<string>",
"setupHash": "<string>"
},
"startedAtVirtualUs": 0,
"finishedAtVirtualUs": 0,
"bindingEvidence": "not_checked",
"worldConsistency": "atomic",
"interactions": [
{
"schemaVersion": 1,
"interactionId": "<string>",
"actorId": "<string>",
"task": {
"instruction": "<string>",
"input": "<unknown>"
},
"scheduledAtVirtualUs": 0,
"startedAtVirtualUs": 0,
"finishedAtVirtualUs": 0,
"bindingEvidence": "not_checked",
"targetResult": {
"schemaVersion": 1,
"status": "completed",
"attachments": [],
"output": "<unknown>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
}
}
}
],
"checkpoints": [
{
"schemaVersion": 1,
"checkpointId": "<string>",
"kind": "after_interaction",
"virtualTimeUs": 0,
"verdict": "passed",
"assertionResults": [
{
"schemaVersion": 1,
"assertionId": "<string>",
"kind": "state.value",
"status": "passed",
"gate": true,
"message": "<string>",
"expected": "<unknown>",
"actual": "<unknown>",
"location": {
"subject": "state",
"packageId": "<string>",
"namespace": "<string>",
"path": [],
"rowId": "<string>"
},
"diff": {
"operator": "equals",
"matched": true,
"details": {}
},
"evidenceSequences": []
}
],
"interactionId": "<string>"
}
],
"budgetUsage": {
"toolCalls": {
"limit": 4503599627370495,
"attempted": 0,
"rejected": 0
},
"scheduledEvents": {
"limit": 4503599627370495,
"processed": 0,
"exhausted": true
}
},
"status": "sealed",
"verdict": "passed",
"assertionResults": [
{
"schemaVersion": 1,
"assertionId": "<string>",
"kind": "state.value",
"status": "passed",
"gate": true,
"message": "<string>",
"expected": "<unknown>",
"actual": "<unknown>",
"location": {
"subject": "state",
"packageId": "<string>",
"namespace": "<string>",
"path": [],
"rowId": "<string>"
},
"diff": {
"operator": "equals",
"matched": true,
"details": {}
},
"evidenceSequences": []
}
],
"evidenceRange": {
"fromSequence": 4503599627370495,
"toSequence": 4503599627370495
},
"stateHash": "<string>",
"evidenceHash": "<string>",
"trajectoryHash": "<string>",
"setup": {
"schemaVersion": 1,
"drillId": "<string>",
"setup": {
"tools": {
"packages": [],
"behaviorOverrides": []
},
"bindings": {
"environment": {}
},
"scenario": {
"actors": [],
"state": [],
"faults": [],
"initialEvents": [],
"virtualTimeUs": 0,
"toolOverrides": [
{
"id": "<string>",
"operation": {
"packageId": "<string>",
"operationId": "<string>"
},
"outcome": {
"kind": "return",
"value": "<unknown>"
},
"when": {
"arguments": {},
"actorId": "<string>"
},
"times": 4503599627370495
}
]
}
},
"setupHash": "<string>"
},
"capture": {
"schemaVersion": 1,
"policies": {
"logs": "off",
"screenshots": "off",
"video": "off",
"files": "off"
},
"attachments": [
{
"kind": "log",
"policy": "always",
"attachment": {
"schemaVersion": 1,
"kind": "file",
"id": "<string>",
"name": "<string>",
"mediaType": "<string>",
"bytes": 33554432,
"hash": "<string>",
"redaction": {
"status": "not_applied",
"note": null
}
},
"interactionId": "<string>"
}
],
"errors": [
{
"code": "<string>",
"message": "<string>",
"kind": "log",
"interactionId": "<string>"
}
],
"discarded": {
"logs": 0,
"screenshots": 0,
"video": 0,
"files": 0
}
}
},
"failure": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"finishedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read one hosted drill run
Read one hosted drill run
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^hrun_[0-9a-z]{12,32}$Response
Hosted drill run
Available options:
1 Pattern:
^hrun_[0-9a-z]{12,32}$Pattern:
^evidence_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^env_[0-9a-z]{12,32}$Pattern:
^ses_[0-9a-z]{12,32}$Pattern:
^sha256:[0-9a-f]{64}$Show child attributes
Show child attributes
Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Available options:
created, awaiting_agent, ready_to_seal, sealed, runner_failed, cancelled, aborted_before_start, orchestration_failed Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^hrun_[0-9a-z]{12,32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991